------------------------------------------------------------
-- VHDL FPGAUplinkSA3Dummy
-- 2007 11 16 16 7 50
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAUplinkSA3Dummy
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGAUplinkSA3Dummy Is
  port
  (
    ACLK   : Out   STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=ACLK
    ACNV   : Out   STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=ACNV
    AIN    : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=AIN
    FAILA  : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=FAILA
    FAILB  : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=FAILB
    LOS    : In    STD_LOGIC_VECTOR(1 TO 3);                 -- ObjectKind=Port|PrimaryId=LOS[1..3]
    MSOI   : In    STD_LOGIC_VECTOR(7 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=MSOI[7..0]
    MSOO   : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=MSOO[7..0]
    MSOT   : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=MSOT[7..0]
    STRAP0 : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=STRAP0
    STRAP1 : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=STRAP1
    STRAP2 : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=STRAP2
    STRAP3 : In    STD_LOGIC                                 -- ObjectKind=Port|PrimaryId=STRAP3
  );
  attribute MacroCell : boolean;

End FPGAUplinkSA3Dummy;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of FPGAUplinkSA3Dummy is
   Component AND3B                                           -- ObjectKind=Part|PrimaryId=U106|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(2 downto 0);                -- ObjectKind=Pin|PrimaryId=U106-I[2..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U106-O
      );
   End Component;

   Component AND4S                                           -- ObjectKind=Part|PrimaryId=U103|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I3
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U103-O
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U105|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U105-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U105-O
      );
   End Component;

   Component INV8B                                           -- ObjectKind=Part|PrimaryId=U102|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U102-I[7..0]
        O : out STD_LOGIC_VECTOR(7 downto 0)                 -- ObjectKind=Pin|PrimaryId=U102-O[7..0]
      );
   End Component;


    Signal NamedSignal_JoinA_JB_C1 : STD_LOGIC_VECTOR(1 to 3); -- ObjectKind=Net|PrimaryId=LOS[1..3]
    Signal NamedSignal_JoinB_JB_C1 : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=NetU106_I[2..0]
    Signal PinSignal_U102_O        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=MSOO[7..0]
    Signal PinSignal_U103_O        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU103_O
    Signal PinSignal_U104_O        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU104_O
    Signal PinSignal_U105_O        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU104_I0
    Signal PinSignal_U106_O        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU106_O

begin
    U106 : AND3B                                             -- ObjectKind=Part|PrimaryId=U106|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinB_JB_C1,                        -- ObjectKind=Pin|PrimaryId=U106-I[2..0]
        O => PinSignal_U106_O                                -- ObjectKind=Pin|PrimaryId=U106-O
      );

    U105 : INV                                               -- ObjectKind=Part|PrimaryId=U105|SecondaryId=1
      Port Map
      (
        I => AIN,                                            -- ObjectKind=Pin|PrimaryId=U105-I
        O => PinSignal_U105_O                                -- ObjectKind=Pin|PrimaryId=U105-O
      );

    U104 : AND4S                                             -- ObjectKind=Part|PrimaryId=U104|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U105_O,                              -- ObjectKind=Pin|PrimaryId=U104-I0
        I1 => FAILA,                                         -- ObjectKind=Pin|PrimaryId=U104-I1
        I2 => FAILB,                                         -- ObjectKind=Pin|PrimaryId=U104-I2
        I3 => PinSignal_U103_O,                              -- ObjectKind=Pin|PrimaryId=U104-I3
        O  => PinSignal_U104_O                               -- ObjectKind=Pin|PrimaryId=U104-O
      );

    U103 : AND4S                                             -- ObjectKind=Part|PrimaryId=U103|SecondaryId=1
      Port Map
      (
        I0 => STRAP0,                                        -- ObjectKind=Pin|PrimaryId=U103-I0
        I1 => STRAP1,                                        -- ObjectKind=Pin|PrimaryId=U103-I1
        I2 => STRAP2,                                        -- ObjectKind=Pin|PrimaryId=U103-I2
        I3 => STRAP3,                                        -- ObjectKind=Pin|PrimaryId=U103-I3
        O  => PinSignal_U103_O                               -- ObjectKind=Pin|PrimaryId=U103-O
      );

    U102 : INV8B                                             -- ObjectKind=Part|PrimaryId=U102|SecondaryId=1
      Port Map
      (
        I => MSOI,                                           -- ObjectKind=Pin|PrimaryId=U102-I[7..0]
        O => PinSignal_U102_O                                -- ObjectKind=Pin|PrimaryId=U102-O[7..0]
      );

    -- Signal Assignments
    ---------------------
    ACLK                    <= PinSignal_U104_O; -- ObjectKind=Net|PrimaryId=NetU104_O
    ACNV                    <= PinSignal_U106_O; -- ObjectKind=Net|PrimaryId=NetU106_O
    MSOO                    <= PinSignal_U102_O; -- ObjectKind=Net|PrimaryId=MSOO[7..0]
    MSOT                    <= PinSignal_U102_O; -- ObjectKind=Net|PrimaryId=MSOO[7..0]
    NamedSignal_JoinA_JB_C1 <= LOS; -- ObjectKind=Net|PrimaryId=LOS[1..3]
    NamedSignal_JoinB_JB_C1 <= NamedSignal_JoinA_JB_C1;

end structure;
------------------------------------------------------------

